Package org.eclipse.emf.cdo.spi.server

## Interface InternalUnitManager

- All Superinterfaces:
    `org.eclipse.net4j.util.container.IContainer<IUnit>`, `org.eclipse.net4j.util.event.INotifier`, `IUnitManager`

      public interface InternalUnitManager
      extends IUnitManager

  Since:
    4.5
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface | Description
    --- | --- | ---
    `static interface` | `InternalUnitManager.InternalObjectAttacher` |

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `org.eclipse.net4j.util.container.IContainer.Modifiable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends java.lang.Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends java.lang.Object>`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

      `org.eclipse.net4j.util.event.INotifier.INotifier2`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `InternalUnitManager.InternalObjectAttacher` | `attachObjects​(InternalCommitContext commitContext)` |
    `InternalRepository` | `getRepository()` |
    `java.util.List<InternalCDORevisionDelta>` | `getUnitMoves​(InternalCDORevisionDelta[] deltas, CDORevisionProvider before, CDORevisionProvider after)` |

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.IUnitManager

      `createUnit, getUnit, getUnits, getUnitsOf, isUnit`

- - ### Method Detail

    - #### getRepository

          InternalRepository getRepository()

      Specified by:
        `getRepository` in interface `IUnitManager`

    - #### getUnitMoves

          java.util.List<InternalCDORevisionDelta> getUnitMoves​(InternalCDORevisionDelta[] deltas,
                                                                CDORevisionProvider before,
                                                                CDORevisionProvider after)

    - #### attachObjects

          InternalUnitManager.InternalObjectAttacher attachObjects​(InternalCommitContext commitContext)